crypto-pubkey-0.2.4: Public Key cryptography

Safe Haskell | None

Crypto.PubKey.ECC.Prim

Description

Elliptic Curve Arithmetic.

WARNING: These functions are vulnerable to timing attacks.

Synopsis

- pointAdd :: Curve -> Point -> Point -> Point
- pointDouble :: Curve -> Point -> Point
- pointMul :: Curve -> Integer -> Point -> Point

# Documentation

pointAdd :: Curve -> Point -> Point -> Point Source

Elliptic Curve point addition.

WARNING: Vulnerable to timing attacks.

pointDouble :: Curve -> Point -> Point Source

Elliptic Curve point doubling.

WARNING: Vulnerable to timing attacks.

pointMul :: Curve -> Integer -> Point -> Point Source

Elliptic curve point multiplication (double and add algorithm).

WARNING: Vulnerable to timing attacks.